#!/bin/bash

SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
PROJECT_ROOT="$(cd "${SCRIPT_DIR}/../.." && pwd)"
export PYTHONPATH="${PROJECT_ROOT}:${PYTHONPATH}"
PYTHON_BIN="/deeplearning_team/ydong/dongying/miniconda/envs/pytorch1.9/bin/python"

if [ ! -x "${PYTHON_BIN}" ]; then
    echo "ERROR: pytorch1.9 python not found: ${PYTHON_BIN}"
    exit 1
fi

"${PYTHON_BIN}" tools/model_merging/merge_models_of_2roi_yolo26.py \
    --roi0-model-path runs/detect/mono3d_roi0_20260506_epoch99.pt \
    --roi1-model-path runs/detect/mono3d_roi1_20260506_epoch99.pt \
    --save-dir runs/export/train_mono3d_two_roi_20260506-drop_fake_3d_branch \
    --imgsz 768 352 \
    --opset 11 \
    --edge-head-mode drop \
    --fake-3d-branch-mode drop
    # --postprocessed-outputs
